CVE-2004-2347
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:52
NMCOE    

[原文]blog.cgi in Leif M. Wright Web Blog 1.1 and 1.1.5 allows remote attackers to execute arbitrary commands via shell metacharacters such as '|' in the file parameter of ViewFile requests.


[CNNVD]Leif M. Wright Web Blog远程命令执行漏洞(CNNVD-200412-648)

        Leif M. Wright Web Blog 1.1版本及1.1.5版本的blog.cgi存在漏洞。远程攻击者可以借助shell元字符,例如ViewFile请求的文件参数中的'|',执行任意命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:leif_m._wright:web_blog:1.1
cpe:/a:leif_m._wright:web_blog:1.1.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2347
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2347
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-648
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/15019
(PATCH)  XF  webblog-file-command-execution(15019)
http://www.securityfocus.com/bid/9539
(PATCH)  BID  9539
http://www.securityfocus.com/archive/1/352303
(UNKNOWN)  BUGTRAQ  20040129 Web Blog 1.1 Remote Execute Commands Bug
http://secunia.com/advisories/10776/
(VENDOR_ADVISORY)  SECUNIA  10776
http://www.osvdb.org/3793
(UNKNOWN)  OSVDB  3793
http://leifwright.com/scripts/Blog.html
(UNKNOWN)  CONFIRM  http://leifwright.com/scripts/Blog.html

- 漏洞信息

Leif M. Wright Web Blog远程命令执行漏洞
高危 输入验证
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        Leif M. Wright Web Blog 1.1版本及1.1.5版本的blog.cgi存在漏洞。远程攻击者可以借助shell元字符,例如ViewFile请求的文件参数中的'|',执行任意命令。

- 公告与补丁

        This issue was addressed in version 1.5.2 of the software.
        Leif M. Wright Web Blog 1.1
        
        Leif M. Wright Web Blog 1.1.5
        

- 漏洞信息 (23629)

Leif M. Wright Web Blog 1.1 Remote Command Execution Vulnerability (EDBID:23629)
cgi webapps
2004-01-31 Verified
0 ActualMInd
N/A [点击下载]
source: http://www.securityfocus.com/bid/9539/info

Web Blog has been reported to be prone to a vulnerability that may permit remote attackers to execute arbitrary commands in the context of the hosting web server. This is due to insufficient sanitization of shell metacharacters from variables which will be used as an argument to a function that invokes the shell directly.

http://www.example.com/directory/blog.cgi?submit=ViewFile&month=[month]&year=[year]&file=|command| 		

- 漏洞信息

3793
Leif Wright Web Blog blog.cgi ViewFile Request file Parameter Arbitrary Command Execution
Remote / Network Access Authentication Management, Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Public

- 漏洞描述

Web Blog contains a flaw that may allow a malicious user to execute arbitrary commands. The issue is triggered when a specially crafted URL is sent to the server. It is possible that the flaw may allow arbitrary code execution resulting in a loss of confidentiality, integrity, and/or availability.

- 时间线

2004-01-29 2004-01-29
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站